package org.jeecg.modules.adweb.common.dto;

import java.util.List;

/**
 * @Description:
 * @Author: wrk
 * @date 2022/6/23 14:01
 */
public class RobotDto {


    /**
     * msg_type : interactive
     * card : {"config":{"wide_screen_mode":true},"elements":[{"fields":[{"is_short":true,"text":{"content":"** 时间：**\n2022-06-23 15:07:04","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 事件等级： **\nERROR","tag":"lark_md"}},{"is_short":false,"text":{"content":"","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常模块：**\n系统管理","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常方法：**\ncom.advich.adcloud.controller.LogController.getSmsLogListData()","tag":"lark_md"}},{"is_short":false,"text":{"content":"","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常栈消息：**\n{}","tag":"lark_md"}}],"tag":"div"}],"header":{"template":"red","title":{"content":"1 级报警 - CRM管理后台","tag":"plain_text"}}}
     */

    private String msg_type;
    private CardBean card;

    public String getMsg_type() {
        return msg_type;
    }

    public void setMsg_type(String msg_type) {
        this.msg_type = msg_type;
    }

    public CardBean getCard() {
        return card;
    }

    public void setCard(CardBean card) {
        this.card = card;
    }

    public static class CardBean {
        /**
         * config : {"wide_screen_mode":true}
         * elements : [{"fields":[{"is_short":true,"text":{"content":"** 时间：**\n2022-06-23 15:07:04","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 事件等级： **\nERROR","tag":"lark_md"}},{"is_short":false,"text":{"content":"","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常模块：**\n系统管理","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常方法：**\ncom.advich.adcloud.controller.LogController.getSmsLogListData()","tag":"lark_md"}},{"is_short":false,"text":{"content":"","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常栈消息：**\n{}","tag":"lark_md"}}],"tag":"div"}]
         * header : {"template":"red","title":{"content":"1 级报警 - CRM管理后台","tag":"plain_text"}}
         */

        private ConfigBean config;
        private HeaderBean header;
        private List<ElementsBean> elements;

        public ConfigBean getConfig() {
            return config;
        }

        public void setConfig(ConfigBean config) {
            this.config = config;
        }

        public HeaderBean getHeader() {
            return header;
        }

        public void setHeader(HeaderBean header) {
            this.header = header;
        }

        public List<ElementsBean> getElements() {
            return elements;
        }

        public void setElements(List<ElementsBean> elements) {
            this.elements = elements;
        }

        public static class ConfigBean {
            /**
             * wide_screen_mode : true
             */

            private boolean wide_screen_mode;

            public boolean isWide_screen_mode() {
                return wide_screen_mode;
            }

            public void setWide_screen_mode(boolean wide_screen_mode) {
                this.wide_screen_mode = wide_screen_mode;
            }
        }

        public static class HeaderBean {
            /**
             * template : red
             * title : {"content":"1 级报警 - CRM管理后台","tag":"plain_text"}
             */

            private String template;
            private TitleBean title;

            public String getTemplate() {
                return template;
            }

            public void setTemplate(String template) {
                this.template = template;
            }

            public TitleBean getTitle() {
                return title;
            }

            public void setTitle(TitleBean title) {
                this.title = title;
            }

            public static class TitleBean {
                /**
                 * content : 1 级报警 - CRM管理后台
                 * tag : plain_text
                 */

                private String content;
                private String tag;

                public String getContent() {
                    return content;
                }

                public void setContent(String content) {
                    this.content = content;
                }

                public String getTag() {
                    return tag;
                }

                public void setTag(String tag) {
                    this.tag = tag;
                }
            }
        }

        public static class ElementsBean {
            /**
             * fields : [{"is_short":true,"text":{"content":"** 时间：**\n2022-06-23 15:07:04","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 事件等级： **\nERROR","tag":"lark_md"}},{"is_short":false,"text":{"content":"","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常模块：**\n系统管理","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常方法：**\ncom.advich.adcloud.controller.LogController.getSmsLogListData()","tag":"lark_md"}},{"is_short":false,"text":{"content":"","tag":"lark_md"}},{"is_short":true,"text":{"content":"** 异常栈消息：**\n{}","tag":"lark_md"}}]
             * tag : div
             */

            private String tag;
            private List<FieldsBean> fields;

            public String getTag() {
                return tag;
            }

            public void setTag(String tag) {
                this.tag = tag;
            }

            public List<FieldsBean> getFields() {
                return fields;
            }

            public void setFields(List<FieldsBean> fields) {
                this.fields = fields;
            }

            public static class FieldsBean {
                /**
                 * is_short : true
                 * text : {"content":"** 时间：**\n2022-06-23 15:07:04","tag":"lark_md"}
                 */

                private boolean is_short;
                private TextBean text;

                public boolean isIs_short() {
                    return is_short;
                }

                public void setIs_short(boolean is_short) {
                    this.is_short = is_short;
                }

                public TextBean getText() {
                    return text;
                }

                public void setText(TextBean text) {
                    this.text = text;
                }

                public static class TextBean {
                    /**
                     * content : ** 时间：**
                     2022-06-23 15:07:04
                     * tag : lark_md
                     */

                    private String content;
                    private String tag;

                    public String getContent() {
                        return content;
                    }

                    public void setContent(String content) {
                        this.content = content;
                    }

                    public String getTag() {
                        return tag;
                    }

                    public void setTag(String tag) {
                        this.tag = tag;
                    }
                }
            }
        }
    }
}
